org.icefaces.ace.component.datatable

## Class DataTable

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIData
      - - org.icefaces.ace.component.datatable.DataTableBase
        - - org.icefaces.ace.component.datatable.DataTable

- All Implemented Interfaces:
    java.io.Serializable, java.util.EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.NamingContainer, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.UniqueIdVendor, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, IceClientBehaviorHolder, IDataTable

      public class DataTable
      extends DataTableBase
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DataTable.SearchEffect`
    `static class` | `DataTable.SearchType`

    - ### Nested classes/interfaces inherited from class org.icefaces.ace.component.datatable.DataTableBase

      `DataTableBase.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `decoded`
    `protected java.lang.String` | `editSubmit`
    `protected FilterState` | `savedFilterState`
    `protected PageState` | `savedPageState`
    `protected SelectionDeltaState` | `savedSelectionChanges`
    `protected SortState` | `savedSortState`

    - ### Fields inherited from class org.icefaces.ace.component.datatable.DataTableBase

      `COMPONENT_TYPE, RENDERER_TYPE`

    - ### Fields inherited from class javax.faces.component.UIData

      `COMPONENT_FAMILY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

    - ### Fields inherited from interface javax.faces.component.NamingContainer

      `SEPARATOR_CHAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataTable()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyFilters()` Processes any changes to the filterInput property of the Columns to the data model; refiltering the data model to meet the new criteria.
    `void` | `applySorting()` Processes any changes to sortPriority or sortAscending properties of Columns to the data model; resorting the table according to the new settings.
    `void` | `broadcast(javax.faces.event.FacesEvent event)`
    `void` | `broadcast(javax.faces.event.FacesEvent event, boolean skipRegen)`
    `protected void` | `calculatePage()`
    `protected void` | `clearCachedStateMap()`
    `int` | `findRow(java.lang.String query, java.lang.String[] fields, int startRow)` Find the index of a row object in the current DataModel.
    `int` | `findRow(java.lang.String query, java.lang.String[] fields, int startRow, DataTable.SearchType searchType)` Find the index of a row object in the current DataModel.
    `int` | `findRow(java.lang.String query, java.lang.String[] fields, int startRow, DataTable.SearchType searchType, boolean caseSensitive)` Find the index of a row object in the current DataModel.
    `protected TableConfigPanel` | `findTableConfigPanel(javax.faces.context.FacesContext context)`
    `java.lang.String` | `getBaseClientId(javax.faces.context.FacesContext context)`
    `java.lang.String` | `getClientId(javax.faces.context.FacesContext context)`
    `protected ColumnGroup` | `getColumnGroup(java.lang.String target)`
    `ColumnModel` | `getColumnModel()`
    `java.util.List<Column>` | `getColumns()` Generates the list of DataTable Column children, reordered according to the column ordering property.
    `java.util.List<Column>` | `getColumns(boolean headColumns)` Generates the list of DataTable Column children, reordered according to the column ordering property, or the header ColumnGroup columns in page order.
    `java.util.List<Row>` | `getConditionalRows(int rowIndex, boolean before)`
    `java.lang.String` | `getContainerClientId(javax.faces.context.FacesContext context)`
    `protected javax.faces.model.DataModel` | `getDataModel()`
    `java.lang.String` | `getEditSubmitParameter()`
    `java.util.List` | `getFilteredData()` Return the value of the `filteredData` property.
    `protected java.util.Map<java.lang.String,Column>` | `getFilterMap()`
    `protected java.util.Map<java.lang.String,java.lang.String>` | `getFilters()`
    `java.util.List<Column>` | `getHeaderColumns()` Generates a list of DataTable Column children intended to render the header, either from the header segement, or from the normal grouping of columns.
    `javax.faces.model.DataModel` | `getModel()` A public proxy to the getDataModel() method, intended for use in situations where a sub-component needs access to a custom DataModel object.
    `PanelExpansion` | `getPanelExpansion()` If a PanelExpansion component is a child of this table, return it.
    `RowExpansion` | `getRowExpansion()` If a RowExpansion component is a child of this table, return it.
    `java.lang.Integer` | `getScrollHeight()` Return the value of the `scrollHeight` property.
    `protected SortCriteria[]` | `getSortCriteria()`
    `RowStateMap` | `getStateMap()` Return the value of the `stateMap` property.
    `java.lang.Object` | `getValue()`
    `protected boolean` | `hasFooterColumn(java.util.List<Column> columns)`
    `protected boolean` | `hasHeaders()`
    `protected boolean` | `hasSelectionClientBehaviour()`
    `java.lang.Boolean` | `hasTreeDataModel()` Determine if this DataTable is using a custom ICEFaces TreeDataModel.
    `java.lang.Boolean` | `isApplyingFilters()` Return the value of the `applyingFilters` property.
    `protected boolean` | `isCellSelection()`
    `protected boolean` | `isColumnReorderRequest(javax.faces.context.FacesContext x)`
    `boolean` | `isFilteringEnabled()`
    `protected boolean` | `isFilterRequest(javax.faces.context.FacesContext x)`
    `protected java.lang.Boolean` | `isInConditionalRow()`
    `protected java.lang.Boolean` | `isInDuplicateSegment()`
    `protected boolean` | `isInstantSelectionRequest(javax.faces.context.FacesContext x)`
    `protected boolean` | `isInstantUnselectionRequest(javax.faces.context.FacesContext x)`
    `boolean` | `isNestedTable()`
    `protected boolean` | `isPaginationRequest(javax.faces.context.FacesContext x)`
    `protected boolean` | `isRowExpansionRequest(javax.faces.context.FacesContext x)`
    `protected boolean` | `isScrollingRequest(javax.faces.context.FacesContext x)`
    `protected boolean` | `isSelectionEnabled()`
    `protected boolean` | `isSingleSelectionMode()`
    `boolean` | `isSortingEnabled()`
    `protected boolean` | `isSortRequest(javax.faces.context.FacesContext x)`
    `protected boolean` | `isTableConfigurationRequest(javax.faces.context.FacesContext x)`
    `protected boolean` | `isTableFeatureRequest(javax.faces.context.FacesContext x)`
    `protected boolean` | `isTrashConfigurationRequest(javax.faces.context.FacesContext x)`
    `protected void` | `loadLazyData()`
    `void` | `navigateToRow(int row)` Navigate the client to a row in the table, indicate the target row with a default highlight effect.
    `void` | `navigateToRow(int row, DataTable.SearchEffect effect)` Navigate the client to a row in the table, indicate the target row with the indicated effect, either pulsate or highlight.
    `void` | `navigateToRow(int row, java.lang.String effect, java.lang.Integer durationMillis)` Navigate the client to a row in the table indicating the target row with css tween to a given class and back.
    `void` | `processDecodes(javax.faces.context.FacesContext context)`
    `protected java.util.List` | `processFilters(javax.faces.context.FacesContext context)`
    `protected void` | `processSorting()`
    `void` | `processUpdates(javax.faces.context.FacesContext context)`
    `void` | `processValidators(javax.faces.context.FacesContext context)`
    `void` | `queueEvent(javax.faces.event.FacesEvent event)`
    `void` | `reset()` Sets the properties of this table to null, clears all filters and resets pagination.
    `void` | `resetFilters()` Blanks the filterValue property of each Column component and removes the presently filtered set of data.
    `void` | `resetPagination()` Sets the position of pagination in the table to the first page.
    `void` | `resetSorting()` Blanks the sortPriority and set to false the sortAscending property of each Column component.
    `void` | `resetValue()` Sets the value property of this dataTable to null.
    `protected void` | `setDataModel(javax.faces.model.DataModel dataModel)`
    `void` | `setFilteredData(java.util.List filteredData)` Set the value of the `filteredData` property.
    `protected void` | `setInConditionalRow(java.lang.Boolean inConditionalRow, java.util.List<Column> rowColumns)`
    `protected void` | `setInDuplicateSegment(java.lang.Boolean inFakeHeader)`
    `void` | `setModel(javax.faces.model.DataModel m)` A public proxy to the getDataModel() method, intended for use in situations where a sub-component needs to null a cached DataModel to force regeneration.
    `void` | `setRowIndex(int index)`
    `void` | `setTableConfigPanel(TableConfigPanel panel)` Associates this table with a particular TableConfigPanel component.
    `protected java.lang.String` | `UIComponentBase_getClientId(javax.faces.context.FacesContext context)`
    `protected java.lang.String` | `UIData_getContainerClientId(javax.faces.context.FacesContext facesContext)`
    `boolean` | `visitTree(javax.faces.component.visit.VisitContext context, javax.faces.component.visit.VisitCallback callback)`

    - ### Methods inherited from class org.icefaces.ace.component.datatable.DataTableBase

      `addClientBehavior, getCachedGlobalFilter, getCaption, getColumnOrdering, getCurrentPageReportTemplate, getDefaultEventName, getDefaultExecute, getDefaultRender, getEmptyMessage, getEventNames, getFamily, getFilterEvent, getFilterListener, getFilterValue, getForcedUpdateCounter, getHeaderColumnOrdering, getHeight, getLastReordering, getListenerArgument, getPage, getPageCount, getPaginatorPosition, getPaginatorTemplate, getRowIndexVar, getRows, getRowSelectListener, getRowsPerPageTemplate, getRowStateVar, getRowStyleClass, getRowUnselectListener, getScrollWidthIE7, getSelectionMode, getStyle, getStyleClass, getTabIndex, getTableConfigPanel, getValueHashCode, getWidgetVar, isAllowTableResizing, isAlwaysExecuteContents, isApplyingSorts, isClickableHeaderSorting, isColumnPinning, isColumnPinningControlsInHeader, isColumnsInheritProperties, isConstantRefilter, isDisabled, isDoubleClickSelect, isGroupedFilterResults, isHiddenScrollableSizing, isLazy, isLiveScroll, isPaginator, isPaginatorAlwaysVisible, isPropertySet, isRenderRowTabindex, isReorderableColumns, isResizableColumns, isScrollable, isSingleSort, isStaticHeaders, isToggleOnInvalidEdit, setAllowTableResizing, setAlwaysExecuteContents, setApplyingFilters, setApplyingSorts, setCachedGlobalFilter, setCaption, setClickableHeaderSorting, setColumnOrdering, setColumnPinning, setColumnPinningControlsInHeader, setColumnsInheritProperties, setConstantRefilter, setCurrentPageReportTemplate, setDisabled, setDoubleClickSelect, setEmptyMessage, setFilterEvent, setFilterListener, setFilterValue, setForcedUpdateCounter, setGroupedFilterResults, setHeaderColumnOrdering, setHeight, setHiddenScrollableSizing, setLastReordering, setLazy, setLiveScroll, setPage, setPageCount, setPaginator, setPaginatorAlwaysVisible, setPaginatorPosition, setPaginatorTemplate, setRenderRowTabindex, setReorderableColumns, setResizableColumns, setRowIndexVar, setRows, setRowSelectListener, setRowsPerPageTemplate, setRowStateVar, setRowStyleClass, setRowUnselectListener, setScrollable, setScrollHeight, setScrollWidthIE7, setSelectionMode, setSingleSort, setStateMap, setStaticHeaders, setStyle, setStyleClass, setTabIndex, setTableConfigPanel, setToggleOnInvalidEdit, setValueExpression, setValueHashCode, setWidgetVar`

    - ### Methods inherited from class javax.faces.component.UIData

      `createUniqueId, encodeBegin, getFirst, getFooter, getHeader, getRowCount, getRowData, getRowIndex, getVar, invokeOnComponent, isRowAvailable, isRowStatePreserved, markInitialState, restoreState, saveState, setFirst, setFooter, setHeader, setRowStatePreserved, setValue, setValueBinding, setVar`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, clearInitialState, decode, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `getClientBehaviors`

- - ### Field Detail

    - #### savedSortState

          protected transient SortState savedSortState

    - #### savedFilterState

          protected transient FilterState savedFilterState

    - #### savedPageState

          protected transient PageState savedPageState

    - #### savedSelectionChanges

          protected transient SelectionDeltaState savedSelectionChanges

    - #### decoded

          protected transient boolean decoded

    - #### editSubmit

          protected transient java.lang.String editSubmit

  - ### Constructor Detail

    - #### DataTable

          public DataTable()

  - ### Method Detail

    - #### getEditSubmitParameter

          public java.lang.String getEditSubmitParameter()

    - #### getScrollHeight

          public java.lang.Integer getScrollHeight()

      Description copied from class: `DataTableBase`

      Return the value of the `scrollHeight` property.

      Contents: Defines a fixed height for the scrollable table in pixels. Default = '100'.

      Specified by:
        `getScrollHeight` in interface `IDataTable`
      Overrides:
        `getScrollHeight` in class `DataTableBase`

    - #### getStateMap

          public RowStateMap getStateMap()

      Description copied from class: `DataTableBase`

      Return the value of the `stateMap` property.

      Contents: Defines a map of your row data objects to UI states. Row-level features (selection, expansion, etc.) are manipulable through this repository.

      Specified by:
        `getStateMap` in interface `IDataTable`
      Overrides:
        `getStateMap` in class `DataTableBase`

    - #### clearCachedStateMap

          protected void clearCachedStateMap()

    - #### getValue

          public java.lang.Object getValue()

      Overrides:
        `getValue` in class `javax.faces.component.UIData`

    - #### getDataModel

          protected javax.faces.model.DataModel getDataModel()

      Overrides:
        `getDataModel` in class `javax.faces.component.UIData`

    - #### setDataModel

          protected void setDataModel(javax.faces.model.DataModel dataModel)

      Overrides:
        `setDataModel` in class `javax.faces.component.UIData`

    - #### queueEvent

          public void queueEvent(javax.faces.event.FacesEvent event)

      Overrides:
        `queueEvent` in class `javax.faces.component.UIData`

    - #### broadcast

          public void broadcast(javax.faces.event.FacesEvent event)
                         throws javax.faces.event.AbortProcessingException

      Overrides:
        `broadcast` in class `javax.faces.component.UIData`
      Throws:
        `javax.faces.event.AbortProcessingException`

    - #### broadcast

          public void broadcast(javax.faces.event.FacesEvent event,
                                boolean skipRegen)
                         throws javax.faces.event.AbortProcessingException

      Throws:
        `javax.faces.event.AbortProcessingException`

    - #### processUpdates

          public void processUpdates(javax.faces.context.FacesContext context)

      Overrides:
        `processUpdates` in class `javax.faces.component.UIData`

    - #### processDecodes

          public void processDecodes(javax.faces.context.FacesContext context)

      Overrides:
        `processDecodes` in class `javax.faces.component.UIData`

    - #### processValidators

          public void processValidators(javax.faces.context.FacesContext context)

      Overrides:
        `processValidators` in class `javax.faces.component.UIData`

    - #### setRowIndex

          public void setRowIndex(int index)

      Overrides:
        `setRowIndex` in class `javax.faces.component.UIData`

    - #### isSortingEnabled

          public boolean isSortingEnabled()

    - #### isFilteringEnabled

          public boolean isFilteringEnabled()

    - #### getModel

          public javax.faces.model.DataModel getModel()

      A public proxy to the getDataModel() method, intended for use in situations where a sub-component needs access to a custom DataModel object.
      Returns:
        java.faces.model.DataModel instance currently used by this table

    - #### setModel

          public void setModel(javax.faces.model.DataModel m)

      A public proxy to the getDataModel() method, intended for use in situations where a sub-component needs to null a cached DataModel to force regeneration.

    - #### hasTreeDataModel

          public java.lang.Boolean hasTreeDataModel()

      Determine if this DataTable is using a custom ICEFaces TreeDataModel.
      Returns:
        true, if a TreeDataModel instance is the result of getDataModel()

    - #### getPanelExpansion

          public PanelExpansion getPanelExpansion()

      If a PanelExpansion component is a child of this table, return it. This is intended for table sub-components to vary their behavior varied on the presence of PanelExpansion and/or RowExpansion.
      Returns:
        PanelExpansion child of the table, or null

    - #### getRowExpansion

          public RowExpansion getRowExpansion()

      If a RowExpansion component is a child of this table, return it. This is intended for table sub-components to vary their behavior varied on the presence of PanelExpansion and/or RowExpansion.
      Returns:
        RowExpansion child of the table, or null

    - #### getColumns

          public java.util.List<Column> getColumns(boolean headColumns)

      Generates the list of DataTable Column children, reordered according to the column ordering property, or the header ColumnGroup columns in page order.
      Parameters:
        `headColumns` - Enable to return the header columns in page order
      Returns:
        List of ACE Column Components.

    - #### getColumns

          public java.util.List<Column> getColumns()

      Generates the list of DataTable Column children, reordered according to the column ordering property. Note this list doesn't return Column components used in a ColumnGroup to define the header.
      Returns:
        List of ACE Column Components.

    - #### getColumnModel

          public ColumnModel getColumnModel()

    - #### getHeaderColumns

          public java.util.List<Column> getHeaderColumns()

      Generates a list of DataTable Column children intended to render the header, either from the header segement, or from the normal grouping of columns.
      Returns:
        List of ACE Column Components.

    - #### setTableConfigPanel

          public void setTableConfigPanel(TableConfigPanel panel)

      Associates this table with a particular TableConfigPanel component. That table will render the launch controls, and be configured by the specified panel.
      Parameters:
        `panel` - TableConfigPanel component that will configure this table.

    - #### resetValue

          public void resetValue()

      Sets the value property of this dataTable to null.

    - #### resetPagination

          public void resetPagination()

      Sets the position of pagination in the table to the first page.

    - #### reset

          public void reset()

      Sets the properties of this table to null, clears all filters and resets pagination.

    - #### resetSorting

          public void resetSorting()

      Blanks the sortPriority and set to false the sortAscending property of each Column component.

    - #### resetFilters

          public void resetFilters()

      Blanks the filterValue property of each Column component and removes the presently filtered set of data.

    - #### getFilteredData

          public java.util.List getFilteredData()

      Description copied from class: `DataTableBase`

      Return the value of the `filteredData` property.

      Specified by:
        `getFilteredData` in interface `IDataTable`
      Overrides:
        `getFilteredData` in class `DataTableBase`

    - #### setFilteredData

          public void setFilteredData(java.util.List filteredData)

      Description copied from class: `DataTableBase`

      Set the value of the `filteredData` property.

      Specified by:
        `setFilteredData` in interface `IDataTable`
      Overrides:
        `setFilteredData` in class `DataTableBase`

    - #### applySorting

          public void applySorting()

      Processes any changes to sortPriority or sortAscending properties of Columns to the data model; resorting the table according to the new settings.

    - #### applyFilters

          public void applyFilters()

      Processes any changes to the filterInput property of the Columns to the data model; refiltering the data model to meet the new criteria.

    - #### isApplyingFilters

          public java.lang.Boolean isApplyingFilters()

      Description copied from class: `DataTableBase`

      Return the value of the `applyingFilters` property.

      Specified by:
        `isApplyingFilters` in interface `IDataTable`
      Overrides:
        `isApplyingFilters` in class `DataTableBase`

    - #### findRow

          public int findRow(java.lang.String query,
                             java.lang.String[] fields,
                             int startRow,
                             DataTable.SearchType searchType,
                             boolean caseSensitive)

      Find the index of a row object in the current DataModel.
      Parameters:
        `query` - The string to be searched for in the row object fields.
        `fields` - The fields of the row object to search the String representations of.
        `startRow` - The index to begin searching, inclusive.
        `searchType` - A enumeration representing where to search for a match.
        `caseSensitive` - A boolean representing the case sensitive.
      Returns:
        Index of the row found or -1

    - #### findRow

          public int findRow(java.lang.String query,
                             java.lang.String[] fields,
                             int startRow,
                             DataTable.SearchType searchType)

      Find the index of a row object in the current DataModel.
      Parameters:
        `query` - The string to be searched for in the row object fields.
        `fields` - The fields of the row object to search the String representations of.
        `startRow` - The index to begin searching, inclusive.
        `searchType` - A enumeration representing where to search for a match.
      Returns:
        Index of the row found or -1

    - #### findRow

          public int findRow(java.lang.String query,
                             java.lang.String[] fields,
                             int startRow)

      Find the index of a row object in the current DataModel.
      Parameters:
        `query` - The string to be searched for in the row object fields.
        `fields` - The fields of the row object to search the String representations of.
        `startRow` - The index to begin searching, inclusive.
      Returns:
        Index of the row found or -1

    - #### navigateToRow

          public void navigateToRow(int row,
                                    java.lang.String effect,
                                    java.lang.Integer durationMillis)

      Navigate the client to a row in the table indicating the target row with css tween to a given class and back.
      Parameters:
        `row` - Index of the row to be navigated to.
        `effect` - Name of css class to add to the target and than remove.
        `durationMillis` - Duration of wax and wane of css animation.

    - #### navigateToRow

          public void navigateToRow(int row,
                                    DataTable.SearchEffect effect)

      Navigate the client to a row in the table, indicate the target row with the indicated effect, either pulsate or highlight.
      Parameters:
        `row` - Index of the row to be navigated to.
        `effect` - SearchEffect enum indicating pulsate or highlight.

    - #### navigateToRow

          public void navigateToRow(int row)

      Navigate the client to a row in the table, indicate the target row with a default highlight effect.
      Parameters:
        `row` - Index of the row to be navigated to.

    - #### isPaginationRequest

          protected boolean isPaginationRequest(javax.faces.context.FacesContext x)

    - #### isTableConfigurationRequest

          protected boolean isTableConfigurationRequest(javax.faces.context.FacesContext x)

    - #### isTrashConfigurationRequest

          protected boolean isTrashConfigurationRequest(javax.faces.context.FacesContext x)

    - #### isColumnReorderRequest

          protected boolean isColumnReorderRequest(javax.faces.context.FacesContext x)

    - #### isSortRequest

          protected boolean isSortRequest(javax.faces.context.FacesContext x)

    - #### isFilterRequest

          protected boolean isFilterRequest(javax.faces.context.FacesContext x)

    - #### isInstantSelectionRequest

          protected boolean isInstantSelectionRequest(javax.faces.context.FacesContext x)

    - #### isInstantUnselectionRequest

          protected boolean isInstantUnselectionRequest(javax.faces.context.FacesContext x)

    - #### isScrollingRequest

          protected boolean isScrollingRequest(javax.faces.context.FacesContext x)

    - #### isTableFeatureRequest

          protected boolean isTableFeatureRequest(javax.faces.context.FacesContext x)

    - #### isRowExpansionRequest

          protected boolean isRowExpansionRequest(javax.faces.context.FacesContext x)

    - #### isInDuplicateSegment

          protected java.lang.Boolean isInDuplicateSegment()

    - #### setInDuplicateSegment

          protected void setInDuplicateSegment(java.lang.Boolean inFakeHeader)

    - #### isInConditionalRow

          protected java.lang.Boolean isInConditionalRow()

    - #### setInConditionalRow

          protected void setInConditionalRow(java.lang.Boolean inConditionalRow,
                                             java.util.List<Column> rowColumns)

    - #### getFilterMap

          protected java.util.Map<java.lang.String,Column> getFilterMap()

    - #### getColumnGroup

          protected ColumnGroup getColumnGroup(java.lang.String target)

    - #### getSortCriteria

          protected SortCriteria[] getSortCriteria()

    - #### getFilters

          protected java.util.Map<java.lang.String,java.lang.String> getFilters()

    - #### hasHeaders

          protected boolean hasHeaders()

    - #### getConditionalRows

          public java.util.List<Row> getConditionalRows(int rowIndex,
                                                        boolean before)

    - #### hasSelectionClientBehaviour

          protected boolean hasSelectionClientBehaviour()

    - #### hasFooterColumn

          protected boolean hasFooterColumn(java.util.List<Column> columns)

    - #### isSelectionEnabled

          protected boolean isSelectionEnabled()

    - #### isCellSelection

          protected boolean isCellSelection()

    - #### isSingleSelectionMode

          protected boolean isSingleSelectionMode()

    - #### findTableConfigPanel

          protected TableConfigPanel findTableConfigPanel(javax.faces.context.FacesContext context)

    - #### calculatePage

          protected void calculatePage()

    - #### isNestedTable

          public boolean isNestedTable()

    - #### processSorting

          protected void processSorting()

    - #### processFilters

          protected java.util.List processFilters(javax.faces.context.FacesContext context)

    - #### loadLazyData

          protected void loadLazyData()

    - #### visitTree

          public boolean visitTree(javax.faces.component.visit.VisitContext context,
                                   javax.faces.component.visit.VisitCallback callback)

      Overrides:
        `visitTree` in class `javax.faces.component.UIData`

    - #### getBaseClientId

          public java.lang.String getBaseClientId(javax.faces.context.FacesContext context)

    - #### getContainerClientId

          public java.lang.String getContainerClientId(javax.faces.context.FacesContext context)

      Overrides:
        `getContainerClientId` in class `javax.faces.component.UIComponent`

    - #### getClientId

          public java.lang.String getClientId(javax.faces.context.FacesContext context)

      Overrides:
        `getClientId` in class `javax.faces.component.UIData`

    - #### UIComponentBase_getClientId

          protected java.lang.String UIComponentBase_getClientId(javax.faces.context.FacesContext context)

      Returns:
        Concatenation of NamingContainer ids

    - #### UIData_getContainerClientId

          protected java.lang.String UIData_getContainerClientId(javax.faces.context.FacesContext facesContext)

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.